com.google.gwt.canvas.dom.client

## Enum Context2d.TextBaseline

- java.lang.Object
- - java.lang.Enum<Context2d.TextBaseline>
  - - com.google.gwt.canvas.dom.client.Context2d.TextBaseline

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Context2d.TextBaseline>

Enclosing class:
  Context2d

    public static enum Context2d.TextBaseline
    extends java.lang.Enum<Context2d.TextBaseline>

Enum for text baseline style.

See Also:
  `Context2d.setTextBaseline(TextBaseline)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALPHABETIC`
`BOTTOM`
`HANGING`
`IDEOGRAPHIC`
`MIDDLE`
`TOP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()`
`static Context2d.TextBaseline` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Context2d.TextBaseline[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALPHABETIC

    public static final Context2d.TextBaseline ALPHABETIC

#### BOTTOM

    public static final Context2d.TextBaseline BOTTOM

#### HANGING

    public static final Context2d.TextBaseline HANGING

#### IDEOGRAPHIC

    public static final Context2d.TextBaseline IDEOGRAPHIC

#### MIDDLE

    public static final Context2d.TextBaseline MIDDLE

#### TOP

    public static final Context2d.TextBaseline TOP

### Method Detail

#### values

    public static Context2d.TextBaseline[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Context2d.TextBaseline c : Context2d.TextBaseline.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Context2d.TextBaseline valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.String getValue()